[ -n "$BASH_VERSION" ] && [ -f $HOME/.bashrc ] && . $HOME/.bashrc

for x in \
	"$HOME/.local/share" \
	"/usr/share" \
	"/usr/local/share" \
	; do
	[ -d "$x" ] || continue
	case ":${XDG_DATA_DIRS}:" in
		*":${x}:"*) ;;
		*) XDG_DATA_DIRS="${XDG_DATA_DIRS:+$XDG_DATA_DIRS:}${x}" ;;
	esac
done

export XDG_DATA_DIRS

export XDG_CACHE_HOME=$HOME/.cache
export XDG_CONFIG_HOME=$HOME/.config
export XDG_DATA_HOME=$HOME/.data

export BROWSER=firefox
export EDITOR=vim
export PAGER=less
export VISUAL=vim

if [ "$XDG_SESSION_TYPE" = "wayland" ]; then
	export MOZ_ENABLE_WAYLAND=1
fi

: ${SSH_AUTH_SOCK:=$XDG_RUNTIME_DIR/ssh-agent}
export SSH_AUTH_SOCK

for x in \
    "$HOME/bin" \
    "$HOME/.local/bin" \
    "/usr/local/sbin" \
    "/usr/local/bin" \
    "/usr/sbin" \
    "/usr/bin" \
    "/sbin" \
    "/bin" \
    ; do
    [ -d "$x" ] || continue
    case ":${PATH}:" in
        *":${x}:"*) ;;
        *) PATH="${x:+$x:}${PATH}" ;;
    esac
done
