for x in \
    "$HOME/.local/share" \
    "/usr/share" \
    "/usr/local/share" \
    ; do
    [ -d "$x" ] || continue
    case ":${XDG_DATA_DIRS}:" in
        *":${x}:"*) ;;
        *) XDG_DATA_DIRS="${XDG_DATA_DIRS:+$XDG_DATA_DIRS:}${x}" ;;
    esac
done

export XDG_DATA_DIRS

for x in \
    "$HOME/bin" \
    "$HOME/.local/bin" \
    "/usr/local/bin" \
    "/usr/local/sbin" \
    "/usr/bin" \
    "/usr/sbin" \
    "/bin" \
    "/sbin" \
    ; do
    [ -d "$x" ] || continue
    case ":${PATH}:" in
        *:"${x}:"*) ;;
        *) PATH="${x:+$x:}${PATH}" ;;
    esac
done

export PATH

export XDG_CACHE_HOME=$HOME/.cache
export XDG_CONFIG_HOME=$HOME/.config
export XDG_DATA_HOME=$HOME/.data

export SSH_AUTH_SOCK=$XDG_RUNTIME_DIR/ssh-agent

export BROWSER=firefox
export EDITOR=vim
export VISUAL=vim
export PAGER=less

if [ "$XDG_SESSION_TYPE" = "wayland" ]; then
    export MOZ_ENABLE_WAYLAND=1
fi

export XBPS_DISTDIR="$HOME/git/void-packages"
export SVDIR="$HOME/sv"
export EMACS_SOCKET_NAME=$USER-emacsd

